\subsection{ST[11] - Time-Based Scheduling}

\begin{longtable}{p{\textwidth}}
\toprule
\rowcolor{yellow!30} The time-based scheduling service type providees the capability to command  on-board application processes using pre-loaded requests released at their due time.\\
\midrule
\rowcolor{gray!20}\textbf{ST[11] - time-based scheduling subservice}\\
\midrule
The time-based scheduling subservice shall provide the capability to enable the time-based schedule execution function.\\
Note: The corresponding message type is TC[11,1].\\
\midrule
The time-based scheduling subservice shall provide the capability to disable the time-based schedule execution function.\\
Note: The corresponding message type is TC[11,2].\\
\midrule
The time-based scheduling subservice shall provide the capability to reset the time-based schedule.\\
Note: The corresponding message type is TC[11,3].\\
\midrule
The time-based scheduling subservice shall provide the capability to insert activities into the time-based schedule.\\
Note: The corresponding message type is TC[11,4].\\
\midrule
The time-based scheduling subservice shall provide the capability to generate a time-based schedule summary report.\\
Note: The corresponding message type is TM[11,13].\\
\midrule
The time-based scheduling subservice shall provide the capability to generate a time-based schedule detail report.\\
Note: The corresponding message type is TM[11,10].\\
\midrule
The time-based scheduling subservice shall provide the capability to time-shift all scheduled activities.\\
Note: The corresponding message type is TC[11,15].\\
\midrule
The time-based scheduling subservice shall provide the capability to summary report all time-based scheduled activities.\\
Note: The corresponding message type is TC[11,17].\\
\midrule
The time-based scheduling subservice shall provide the capability to detail report all time-based scheduled activities.\\
Note: The corresponding message type is TC[11,16].\\
\midrule
The time-based scheduling subservice shall provide the capability to delete time-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[11,5].\\
\midrule
The time-based scheduling subservice shall provide the capability to time-shift time-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[11,7].\\
\midrule
The time-based scheduling subservice shall provide the capability to summary report time-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[11,12].\\
\midrule
The time-based scheduling subservice shall provide the capability to detail report time-based scheduled activities identified by request identifier.\\
Note: The corresponding message type is TC[11,9].\\
\midrule
The time-based scheduling subservice shall provide the capability to delete time-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[11,6].\\
\midrule
The time-based scheduling subservice shall provide the capability to time-shift time-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[11,8].\\
\midrule
The time-based scheduling subservice shall provide the capability to summary report time-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[11,14].\\
\midrule
The time-based scheduling subservice shall provide the capability to detail report time-based scheduled activities identified by a filter.\\
Note: The corresponding message type is TC[11,11].\\
\bottomrule
\end{longtable}

